Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.client
Interface ConnectionFactoryManager

public interface ConnectionFactoryManager
extends javax.ejb.EJBObject

Manages access to ConnectionFactories. This class handles adding, removing, and getting ConnectionFactories in a given Namespace. This class also offers facilities to deploy and undeploy ConnectionFactories, get an instance of a ConnectionFactory, and to check if an ConnectionFactory is deployed.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`IConnectionFactoryDescriptor` | `addConnectionFactory(INamespace parent, java.lang.String factoryName)` Creates an ConnectionFactory with the given name, adds it to the given parent namespace, and returns a descriptor for it.
`void` | `deployConnectionFactory(IConnectionFactoryDescriptor factory)` Deploy the ConnectionFactory represented by the given descriptor into the WLAI engine.
`boolean` | `exists(QualifiedName aQualifiedName)` Determine whether the connection factory descriptor represented by a qualified name exists in the repository.
`IConnectionFactoryDescriptor` | `getConnectionFactory(QualifiedName name)` Gets the ConnectionFactory with the given qualified name and returns a descriptor for it.
`java.lang.String[]` | `getConnectionFactoryReferences(java.lang.String connectionJNDIName)` returns an array of strings containing the names of Application views which have a reference to the named connection factory.
`boolean` | `hasConnections(ConnectionInfo filter)` Returns true if there are deployed connection factories matching the passed filter param.
`boolean` | `isConnectionFactoryDeployed(QualifiedName qualifiedName)` Indicates whether an ConnectionFactory with the given qualified name has been deployed within the WLAI engine.
`ConnectionInfo[]` | `listDeployedConnections(ConnectionInfo filter)` List the deployed connection factories in the system.
`IConnectionFactoryDescriptor` | `removeConnectionFactory(QualifiedName name)` Removes the ConnectionFactory with the given qualified name from its parent namespace, and returns a descriptor for it.
`IConnectionFactoryDescriptor` | `undeployConnectionFactory(QualifiedName name)` Undeploy the ConnectionFactory represented by the given QualifiedName from the WLAI engine.
`void` | `updateConnectionFactory(IConnectionFactoryDescriptor factory)` Updates the given ConnectionFactoryDescriptor within the WLAI repository.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### addConnectionFactory

    public IConnectionFactoryDescriptor addConnectionFactory(INamespace parent,
                                                             java.lang.String factoryName)
                                                      throws DuplicateNameException,
                                                             NamespaceException,
                                                             ConnectionFactoryException,
                                                             java.rmi.RemoteException

  Creates an ConnectionFactory with the given name, adds it to the given parent namespace, and returns a descriptor for it.

  Parameters:
    `parent` - The namespace to which the new ConnectionFactory will be added.
    `factoryName` - The name to be given to the new ConnectionFactory.
  Returns:
    The descriptor for the new ConnectionFactory.
  Throws:
    DuplicateNameException - If the parent namespace already contains an object with the name given by the factoryName parameter.
    NamespaceException - If any namespace access error occurs.
    ConnectionFactoryException - If any error occurs creating the descriptor for the new ConnectionFactory.
    java.rmi.RemoteException - If an RMI communication error occurs.

### removeConnectionFactory

    public IConnectionFactoryDescriptor removeConnectionFactory(QualifiedName name)
                                                         throws NamespaceException,
                                                                ConnectionFactoryException,
                                                                java.rmi.RemoteException

  Removes the ConnectionFactory with the given qualified name from its parent namespace, and returns a descriptor for it.

  Parameters:
    `name` - The qualified name for the ConnectionFactory to remove.
  Returns:
    The descriptor for the removed ConnectionFactory.
  Throws:
    NamespaceException - If any namespace access error occurs.
    ConnectionFactoryException - If any error occurs creating the descriptor for the removed ConnectionFactory.
    java.rmi.RemoteException - If an RMI communication error occurs.

### updateConnectionFactory

    public void updateConnectionFactory(IConnectionFactoryDescriptor factory)
                                 throws ConnectionFactoryException,
                                        java.rmi.RemoteException

  Updates the given ConnectionFactoryDescriptor within the WLAI repository. Any changes made to the ConnectionFactoryDescriptor since it was retrieved from the repository are persisted back into the repository.

  Parameters:
    `factory` - The ConnectionFactoryDescriptor representing the ConnectionFactory to be updated.
  Throws:
    ConnectionFactoryException - If any error occurs reading the descriptor for the ConnectionFactory to be updated.
    java.rmi.RemoteException - If an RMI communication error occurs.

### getConnectionFactory

    public IConnectionFactoryDescriptor getConnectionFactory(QualifiedName name)
                                                      throws NamespaceException,
                                                             ConnectionFactoryException,
                                                             java.rmi.RemoteException

  Gets the ConnectionFactory with the given qualified name and returns a descriptor for it.

  Parameters:
    `name` - The qualified name for the ConnectionFactory to retrieved.
  Returns:
    The descriptor for the ConnectionFactory.
  Throws:
    NamespaceException - If the ConnectionFactory does not exist, or any namespace access error occurs.
    ConnectionFactoryException - If any error occurs creating the descriptor for the retrieved ConnectionFactory.
    java.rmi.RemoteException - If an RMI communication error occurs.

### exists

    public boolean exists(QualifiedName aQualifiedName)
                   throws ConnectionFactoryException,
                          java.rmi.RemoteException

  Determine whether the connection factory descriptor represented by a qualified name exists in the repository.

  Parameters:
    `aQualifiedName` - - the qualified name of the connection factory descriptor to find in the repository.
  Returns:
    a boolean object containing true if the connection factory descriptor exists in the repository and false if it does not.
  Throws:
    ConnectionFactoryException - If an error occurs while examining the repository.
    java.rmi.RemoteException - If an RMI communication error occurs.

### deployConnectionFactory

    public void deployConnectionFactory(IConnectionFactoryDescriptor factory)
                                 throws DeploymentException,
                                        ConnectionFactoryException,
                                        java.rmi.RemoteException

  Deploy the ConnectionFactory represented by the given descriptor into the WLAI engine. This makes the ConnectionFactory available for use by client applications.

  Parameters:
    `factory` - The descriptor for the ConnectionFactory to be deployed.
  Throws:
    DeploymentException - If any error occurs deploying the ConnectionFactory into the WLAI engine.
    ConnectionFactoryException - If any error occurs accessing the descriptor for the ConnectionFactory being deployed.
    java.rmi.RemoteException - If an RMI communication error occurs.

### undeployConnectionFactory

    public IConnectionFactoryDescriptor undeployConnectionFactory(QualifiedName name)
                                                           throws DeploymentException,
                                                                  NamespaceException,
                                                                  ConnectionFactoryException,
                                                                  java.rmi.RemoteException

  Undeploy the ConnectionFactory represented by the given QualifiedName from the WLAI engine. This makes the ConnectionFactory unavailable to client applications.

  Parameters:
    `name` - The qualified name of the ConnectionFactory to be undeployed.
  Returns:
    The descriptor for the ConnectionFactory that was undeployed.
  Throws:
    DeploymentException - If any error occurs undeploying the ConnectionFactory from the WLAI engine.
    NamespaceException - If any namespace access error occurs.
    ConnectionFactoryException - If any error occurs accessing the descriptor for the ConnectionFactory being deployed.
    java.rmi.RemoteException - If an RMI communication error occurs.

### isConnectionFactoryDeployed

    public boolean isConnectionFactoryDeployed(QualifiedName qualifiedName)
                                        throws DeploymentException,
                                               NamespaceException,
                                               java.rmi.RemoteException

  Indicates whether an ConnectionFactory with the given qualified name has been deployed within the WLAI engine.

  Parameters:
    `name` - The name of the ConnectionFactory to check for.
  Returns:
    True if the ConnectionFactory with the given name has been deployed, false otherwise.
  Throws:
    NamespaceException - If any namespace access error occurs.
    java.rmi.RemoteException - If an RMI communication error occurs.

### getConnectionFactoryReferences

    public java.lang.String[] getConnectionFactoryReferences(java.lang.String connectionJNDIName)
                                                      throws DeploymentException,
                                                             java.rmi.RemoteException

  returns an array of strings containing the names of Application views which have a reference to the named connection factory. If the array is empty then no refs exist.

  Returns:
    An array containg the fully qualified names of Application views containing a reference to the specified connection factory.
  Throws:
    DeploymentException - for jndi failures

### hasConnections

    public boolean hasConnections(ConnectionInfo filter)
                           throws DeploymentException,
                                  java.rmi.RemoteException

  Returns true if there are deployed connection factories matching the passed filter param.

  Parameters:
    `filter` - -- criteria to match when searching for connection factories cannot be null.

### listDeployedConnections

    public ConnectionInfo[] listDeployedConnections(ConnectionInfo filter)
                                             throws DeploymentException,
                                                    java.rmi.RemoteException

  List the deployed connection factories in the system. MAY NEED TO ADD A FILTER HERE SO WE DON'T RETURN ALL CONNECTIONS

  Returns:
    An array of AdapterInfo objects that represent the adapters deployed in the system.
  Throws:
    DeploymentException - If the retrieval of the list fails in any way.
    java.rmi.RemoteException - If an RMI communication error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)